net.minecraft.block

## Class BlockTrapDoor

- java.lang.Object
- - net.minecraft.block.Block
  - - net.minecraft.block.BlockTrapDoor

-     public class BlockTrapDoor
      extends Block

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.block.Block

      `Block.SoundType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `disableValidation` Set this to allow trapdoors to remain free-floating

    - ### Fields inherited from class net.minecraft.block.Block

      `blockConstructorCalled, blockHardness, blockIcon, blockMaterial, blockParticleGravity, blockRegistry, blockResistance, canBlockGrass, capturedDrops, captureDrops, enableStats, harvesters, isBlockContainer, lightOpacity, lightValue, maxX, maxY, maxZ, minX, minY, minZ, needsRandomTick, opaque, slipperiness, soundTypeAnvil, soundTypeCloth, soundTypeGlass, soundTypeGrass, soundTypeGravel, soundTypeLadder, soundTypeMetal, soundTypePiston, soundTypeSand, soundTypeSnow, soundTypeStone, soundTypeWood, stepSound, textureName, useNeighborBrightness`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BlockTrapDoor(Material p_i45434_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canPlaceBlockOnSide(World p_149707_1_, int p_149707_2_, int p_149707_3_, int p_149707_4_, int p_149707_5_)`
    `MovingObjectPosition` | `collisionRayTrace(World p_149731_1_, int p_149731_2_, int p_149731_3_, int p_149731_4_, Vec3 p_149731_5_, Vec3 p_149731_6_)`
    `void` | `func_150117_b(int p_150117_1_)`
    `static boolean` | `func_150118_d(int p_150118_0_)`
    `void` | `func_150120_a(World p_150120_1_, int p_150120_2_, int p_150120_3_, int p_150120_4_, boolean p_150120_5_)`
    `boolean` | `getBlocksMovement(IBlockAccess p_149655_1_, int p_149655_2_, int p_149655_3_, int p_149655_4_)`
    `AxisAlignedBB` | `getCollisionBoundingBoxFromPool(World p_149668_1_, int p_149668_2_, int p_149668_3_, int p_149668_4_)`
    `int` | `getRenderType()`
    `AxisAlignedBB` | `getSelectedBoundingBoxFromPool(World p_149633_1_, int p_149633_2_, int p_149633_3_, int p_149633_4_)`
    `boolean` | `isOpaqueCube()`
    `boolean` | `onBlockActivated(World p_149727_1_, int p_149727_2_, int p_149727_3_, int p_149727_4_, EntityPlayer p_149727_5_, int p_149727_6_, float p_149727_7_, float p_149727_8_, float p_149727_9_)`
    `void` | `onBlockClicked(World p_149699_1_, int p_149699_2_, int p_149699_3_, int p_149699_4_, EntityPlayer p_149699_5_)`
    `int` | `onBlockPlaced(World p_149660_1_, int p_149660_2_, int p_149660_3_, int p_149660_4_, int p_149660_5_, float p_149660_6_, float p_149660_7_, float p_149660_8_, int p_149660_9_)`
    `void` | `onNeighborBlockChange(World p_149695_1_, int p_149695_2_, int p_149695_3_, int p_149695_4_, Block p_149695_5_)`
    `boolean` | `renderAsNormalBlock()`
    `void` | `setBlockBoundsBasedOnState(IBlockAccess p_149719_1_, int p_149719_2_, int p_149719_3_, int p_149719_4_)`
    `void` | `setBlockBoundsForItemRender()`

    - ### Methods inherited from class net.minecraft.block.Block

      `addCollisionBoxesToList, addDestroyEffects, addHitEffects, beginLeavesDecay, breakBlock, canBeReplacedByLeaves, canBlockStay, canCollideCheck, canConnectRedstone, canCreatureSpawn, canDropFromExplosion, canEntityDestroy, canHarvestBlock, canPlaceBlockAt, canPlaceTorchOnTop, canProvidePower, canRenderInPass, canReplace, canSilkHarvest, canSilkHarvest, canSustainLeaves, canSustainPlant, captureDrops, colorMultiplier, createStackedBlock, createTileEntity, damageDropped, disableStats, dropBlockAsItem, dropBlockAsItem, dropBlockAsItemWithChance, dropXpOnBlockBreak, fillWithRain, func_149698_L, func_149730_j, func_149735_b, getAmbientOcclusionLightValue, getBedDirection, getBedSpawnPosition, getBlockBoundsMaxX, getBlockBoundsMaxY, getBlockBoundsMaxZ, getBlockBoundsMinX, getBlockBoundsMinY, getBlockBoundsMinZ, getBlockById, getBlockColor, getBlockFromItem, getBlockFromName, getBlockHardness, getBlockTextureFromSide, getCanBlockGrass, getComparatorInputOverride, getCreativeTabToDisplayOn, getDamageValue, getDrops, getEnableStats, getEnchantPowerBonus, getExpDrop, getExplosionResistance, getExplosionResistance, getFireSpreadSpeed, getFlammability, getHarvestLevel, getHarvestTool, getIcon, getIcon, getIdFromBlock, getItem, getItemDropped, getItemIconName, getLightOpacity, getLightOpacity, getLightValue, getLightValue, getLocalizedName, getMapColor, getMaterial, getMixedBrightnessForBlock, getMobilityFlag, getPickBlock, getPlayerRelativeBlockHardness, getRenderBlockPass, getRenderColor, getSubBlocks, getTextureName, getTickRandomly, getUnlocalizedName, getUseNeighborBrightness, getValidRotations, getWeakChanges, harvestBlock, hasComparatorInputOverride, hasTileEntity, hasTileEntity, isAir, isAssociatedBlock, isBeaconBase, isBed, isBedFoot, isBlockNormalCube, isBlockSolid, isBurning, isCollidable, isEqualTo, isFertile, isFireSource, isFlammable, isFlowerPot, isFoliage, isLadder, isLeaves, isNormalCube, isNormalCube, isProvidingStrongPower, isProvidingWeakPower, isReplaceable, isReplaceableOreGen, isSideSolid, isToolEffective, isWood, onBlockAdded, onBlockDestroyedByExplosion, onBlockDestroyedByPlayer, onBlockEventReceived, onBlockExploded, onBlockHarvested, onBlockPlacedBy, onBlockPreDestroy, onEntityCollidedWithBlock, onEntityWalking, onFallenUpon, onNeighborChange, onPlantGrow, onPostBlockPlaced, quantityDropped, quantityDropped, quantityDroppedWithBonus, randomDisplayTick, recolourBlock, registerBlockIcons, registerBlocks, removedByPlayer, rotateBlock, setBedOccupied, setBlockBounds, setBlockName, setBlockTextureName, setBlockUnbreakable, setCreativeTab, setHardness, setHarvestLevel, setHarvestLevel, setLightLevel, setLightOpacity, setResistance, setStepSound, setTickRandomly, shouldCheckWeakPower, shouldSideBeRendered, tickRate, updateTick, velocityToAddToEntity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### disableValidation

          public static boolean disableValidation

      Set this to allow trapdoors to remain free-floating

  - ### Constructor Detail

    - #### BlockTrapDoor

          protected BlockTrapDoor(Material p_i45434_1_)

  - ### Method Detail

    - #### isOpaqueCube

          public boolean isOpaqueCube()

      Overrides:
        `isOpaqueCube` in class `Block`

    - #### renderAsNormalBlock

          public boolean renderAsNormalBlock()

      Overrides:
        `renderAsNormalBlock` in class `Block`

    - #### getBlocksMovement

          public boolean getBlocksMovement(IBlockAccess p_149655_1_,
                                  int p_149655_2_,
                                  int p_149655_3_,
                                  int p_149655_4_)

      Overrides:
        `getBlocksMovement` in class `Block`

    - #### getRenderType

          public int getRenderType()

      Overrides:
        `getRenderType` in class `Block`

    - #### getSelectedBoundingBoxFromPool

          public AxisAlignedBB getSelectedBoundingBoxFromPool(World p_149633_1_,
                                                     int p_149633_2_,
                                                     int p_149633_3_,
                                                     int p_149633_4_)

      Overrides:
        `getSelectedBoundingBoxFromPool` in class `Block`

    - #### getCollisionBoundingBoxFromPool

          public AxisAlignedBB getCollisionBoundingBoxFromPool(World p_149668_1_,
                                                      int p_149668_2_,
                                                      int p_149668_3_,
                                                      int p_149668_4_)

      Overrides:
        `getCollisionBoundingBoxFromPool` in class `Block`

    - #### setBlockBoundsBasedOnState

          public void setBlockBoundsBasedOnState(IBlockAccess p_149719_1_,
                                        int p_149719_2_,
                                        int p_149719_3_,
                                        int p_149719_4_)

      Overrides:
        `setBlockBoundsBasedOnState` in class `Block`

    - #### setBlockBoundsForItemRender

          public void setBlockBoundsForItemRender()

      Overrides:
        `setBlockBoundsForItemRender` in class `Block`

    - #### func_150117_b

          public void func_150117_b(int p_150117_1_)

    - #### onBlockClicked

          public void onBlockClicked(World p_149699_1_,
                            int p_149699_2_,
                            int p_149699_3_,
                            int p_149699_4_,
                            EntityPlayer p_149699_5_)

      Overrides:
        `onBlockClicked` in class `Block`

    - #### onBlockActivated

          public boolean onBlockActivated(World p_149727_1_,
                                 int p_149727_2_,
                                 int p_149727_3_,
                                 int p_149727_4_,
                                 EntityPlayer p_149727_5_,
                                 int p_149727_6_,
                                 float p_149727_7_,
                                 float p_149727_8_,
                                 float p_149727_9_)

      Overrides:
        `onBlockActivated` in class `Block`

    - #### func_150120_a

          public void func_150120_a(World p_150120_1_,
                           int p_150120_2_,
                           int p_150120_3_,
                           int p_150120_4_,
                           boolean p_150120_5_)

    - #### onNeighborBlockChange

          public void onNeighborBlockChange(World p_149695_1_,
                                   int p_149695_2_,
                                   int p_149695_3_,
                                   int p_149695_4_,
                                   Block p_149695_5_)

      Overrides:
        `onNeighborBlockChange` in class `Block`

    - #### collisionRayTrace

          public MovingObjectPosition collisionRayTrace(World p_149731_1_,
                                               int p_149731_2_,
                                               int p_149731_3_,
                                               int p_149731_4_,
                                               Vec3 p_149731_5_,
                                               Vec3 p_149731_6_)

      Overrides:
        `collisionRayTrace` in class `Block`

    - #### onBlockPlaced

          public int onBlockPlaced(World p_149660_1_,
                          int p_149660_2_,
                          int p_149660_3_,
                          int p_149660_4_,
                          int p_149660_5_,
                          float p_149660_6_,
                          float p_149660_7_,
                          float p_149660_8_,
                          int p_149660_9_)

      Overrides:
        `onBlockPlaced` in class `Block`

    - #### canPlaceBlockOnSide

          public boolean canPlaceBlockOnSide(World p_149707_1_,
                                    int p_149707_2_,
                                    int p_149707_3_,
                                    int p_149707_4_,
                                    int p_149707_5_)

      Overrides:
        `canPlaceBlockOnSide` in class `Block`

    - #### func_150118_d

          public static boolean func_150118_d(int p_150118_0_)